<?php
/**
* @package WP-Thumbnail-and-Text
* @version 1.1
*/
/*
Plugin Name: WP-Thumbnail-and-Text
Plugin URI: https://tips4life.me/wp-thumbnail-and-text
Description: Wordpressで簡単に「サムネイル＋説明文」が使えるプラグインです。
Version: 1.1
Author: RA’s
Author URI: https://tips4life.me/profile
License: GPLv2
*/
wp_enqueue_style('wtt_css', plugins_url('css/style.css', __FILE__));

//AMP
function wtt_callBack($wtt_buffer) {
	$wtt_css = file_get_contents(plugins_url().'/wp-thumbnail-and-text/css/style.php');
	$wtt_buffer = str_replace('<style amp-custom>', '<style amp-custom>'.$wtt_css, $wtt_buffer);
	return $wtt_buffer;
}
function wtt_bufStart() { ob_start("wtt_callBack"); }
function wtt_bufEnd() { ob_end_flush(); }
add_action('after_setup_theme', 'wtt_bufStart');
add_action('shutdown', 'wtt_bufEnd');

//wtt_size
function sc_wtt_size(){ return '<div class="wttParent"><div class="wttImg wh';}
add_shortcode('wtt_size','sc_wtt_size');

//wtt_flame
function sc_wtt_flame(){ return ' flame';}
add_shortcode('wtt_flame','sc_wtt_flame');

//wtt_circle
function sc_wtt_circle(){ return ' imgCcl';}
add_shortcode('wtt_circle','sc_wtt_circle');

//wtt_link
function sc_wtt_link(){ return '"><a href="';}
add_shortcode('wtt_link','sc_wtt_link');

//wtt_pos
function sc_wtt_pos(){ return '"><img class="';}
add_shortcode('wtt_pos','sc_wtt_pos');

//wtt_url
function sc_wtt_url(){ return '" src="';}
add_shortcode('wtt_url','sc_wtt_url');

//wtt_width
function sc_wtt_width(){ return '" width="';}
add_shortcode('wtt_width','sc_wtt_width');

//wtt_height
function sc_wtt_height(){ return '" htight="';}
add_shortcode('wtt_height','sc_wtt_height');

//wtt_alt
function sc_wtt_alt(){ return '" alt="';}
add_shortcode('wtt_alt','sc_wtt_alt');

//wtt_text
function sc_wtt_text(){ return '"></a></div><div class="wttTxt"><p>';}
add_shortcode('wtt_text','sc_wtt_text');

//wtt_End
function sc_wtt_End(){ return '</p></div></div>';}
add_shortcode('wtt_End','sc_wtt_End');
